## org.apache.ivy.osgi.p2
Class P2MetadataParser

    java.lang.Object
      org.apache.ivy.osgi.p2.P2MetadataParser

All Implemented Interfaces:
  XMLInputParser

    public class P2MetadataParser

extends java.lang.Object
implements XMLInputParser

Constructor Summary
`P2MetadataParser(P2Descriptor p2Descriptor)`

Method Summary
`void` `parse(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P2MetadataParser

    public P2MetadataParser(P2Descriptor p2Descriptor)

Method Detail

### parse

    public void parse(java.io.InputStream in)
               throws java.text.ParseException,
                      java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `XMLInputParser`
  Throws:
    `java.text.ParseException`
    `java.io.IOException`
    `org.xml.sax.SAXException`